---
- name: Create default user accounts
  hosts: all
  vars_files:
    - "../resources/playbooks/default-vars.yml"

  tasks:
    - name: Copy default user accounts into place
      file:
        path: "/home/{{ ansible_facts.user_id }}/users/{{ item }}"
        owner: "{{ ansible_facts.user_id }}"
        group: "{{ ansible_facts.user_id }}"
        state: directory
      with_items:
        - john
        - jane
